#ifndef _SOFT_CRC_H
#define _SOFT_CRC_H
#include "stm32f1xx_hal.h"

unsigned int crc_ccitt(unsigned char *q, int len);
uint16_t Get_Crc16(uint8_t *, uint16_t);
uint16_t crcAddByte(uint16_t , uint8_t );
uint16_t crcAddSignature(uint16_t , uint64_t );
uint16_t crcAdd(uint16_t crc_val, const uint8_t *bytes, size_t len);
unsigned short crc16_ccitt(unsigned char *buf, unsigned int len);
#endif 
